/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package engcalculator.function.infix.compare;

import engcalculator.data.Interval;

/**
 *
 * @author simone
 */
public class NotEqual extends ComparisonInfixFunction {
    private final static String[] EXAMPLE_LEFT = {"6_7","6_7", "1_2", "3_4"};
    private final static String[] EXAMPLE_RIGHT = {"4_5","8_9", "2_4", "3_4"};
    private final static String[] RESULT = {"1","1","0","0"};

    public NotEqual() {
        super("!=", "!= checks if an interval is not equals to another returning 0 for false, 1 for true. Not Equal means every element of the first interval is not available in the second and vice versa.", EXAMPLE_LEFT, EXAMPLE_RIGHT, RESULT);
    }

    @Override
    public boolean compare(Interval a, Interval b) throws Exception {
        if (a.getName() == null && b.getName() == null) return  a.getLeft() > b.getRight() || a.getRight() < b.getLeft();
        else if (a.getName() != null && b.getName() != null) return (! a.getName().equals(b.getName()) );
        else return  false;
    }
}
