/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package engcalculator.function.infix.engineering;

import engcalculator.function.infix.*;
import engcalculator.function.infix.arithmetic.Sum;
import engcalculator.data.Interval;
import engcalculator.function.prefix.square.Square;
import engcalculator.function.prefix.square.SquareRoot;

/**
 *
 * @author simone
 */
public class SumSquared extends DualInputSingleOutputInfixFunction {
    private final static Sum ADD = new Sum();
    private final static Square SQR = new Square();
    private final static SquareRoot SQRT = new SquareRoot();
    private final static String[] EXAMPLE_LEFT = {"3_4"};
    private final static String[] EXAMPLE_RIGHT = {"4_5"};
    private final static String[] RESULT = {"5_6.403124237"};

    public SumSquared() {
        super ("+^", true, true, "a +^ b adds the square of the given list of intervals and then it squares root the result. It returns sqrt(sqr(a)+sqr(b)).", EXAMPLE_LEFT, EXAMPLE_RIGHT, RESULT);
    }

    @Override
    public Interval _computeIntervals (Interval left, Interval right) throws Exception {
        return SQRT._computeIntervals(ADD._computeIntervals(SQR._computeIntervals(left), SQR._computeIntervals(right)));
    }
}
