/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package engcalculator.function.prefix.decibel;

import engcalculator.data.Interval;
import engcalculator.function.prefix.SingleInputSingleOutputPrefixFunction;
import engcalculator.function.infix.arithmetic.Div;
import engcalculator.function.infix.Pow;

/**
 *
 * @author simone
 */
public abstract class DBToLin extends SingleInputSingleOutputPrefixFunction {
    private static final Interval TEN = new Interval (10);

    private Interval coefficient;
    private final static Pow POW = new Pow();
    private final static Div DIV = new Div();

    public DBToLin(String name, int coefficient, String[] examples, String[] results) {
        super (name, true, true, name+" converts a logarithmic interval a to a linear one returning: 10^(a/"+coefficient+").", examples, results);
        this.coefficient = new Interval(coefficient);
    }

    @Override
    public final Interval _computeIntervals (Interval input) throws Exception {
        return POW._computeIntervals(TEN, DIV._computeIntervals(input, coefficient));
    }
}
