/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package engcalculator.function.prefix.interval;

import engcalculator.data.Interval;
import engcalculator.function.prefix.SingleInputSingleOutputPrefixFunction;

/**
 *
 * @author simone
 */
public class Dual extends SingleInputSingleOutputPrefixFunction {
    private final static String[] EXAMPLE = {"-10_10", "-10_-5", "10_15"};
    private final static String[] RESULT = {"10_-10", "-5_ -10", "15_10"};

    public Dual() {
        super("dual", true, true, "Conjugates of the directed interval A, which means exchange the extreme points.", EXAMPLE , RESULT);
    }
    
    @Override
    public Interval _computeIntervals(Interval i) throws Exception {
        return new Interval (i.getRight(), i.getLeft()); //that need to be fixed for directed intervals
    }
}
