/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package engcalculator.data;

import java.util.LinkedList;

/**
 *
 * @author simone
 */
public class IntervalList extends LinkedList<Interval> {
    public IntervalList () {
       super ();
    }

    public IntervalList (Interval i) {
       super ();
       add (i);
    }

    public IntervalList (IntervalList i) {
       super (i);
    }

    public String getName () {
       return null;
    }

    @Override
    public String toString () {
        StringBuffer result = new StringBuffer ();
        switch (size()) {
            case 0:
                break;
            case 1:
                result.append(getFirst().toString());
                break;
            default:                
                result.append('(');
                result.append(get(0).toStringSpaced());
                for (int i=1; i<size(); ++i) {                
                    result.append(',').append(get(i).toStringSpaced());
                }
                result.append(')');
        }
        return result.toString();
    }

    @Override
    public IntervalList subList(int fromIndex, int toIndex) {
        IntervalList il = new IntervalList ();
        il.addAll(super.subList(fromIndex, toIndex));
        return il;
    }

    public IntervalList append (Interval a) {
        add (a);
        return this;
    }

    public int getColumns() {
        return size();
    }

    public int getRows () {
        return 1;

    }

    public boolean isProperMatrix () {
        return false;
    }

    public boolean isMatrix() {
        return false;
    }

    public boolean isList() {
        return size() > 1;
    }

    public Interval get (int row, int column) {
        if (row > 0) throw new RuntimeException("Intex out of bound");
        return get (column);
    }

    public void set(int row, int column, Interval val) {
        if (row > 0) throw new RuntimeException("Intex out of bound");
        set (column, val);
    }
}
