/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package engcalculator.function.prefix.cumulative;

import engcalculator.function.prefix.PrefixFunction;
import engcalculator.data.Interval;
import engcalculator.data.IntervalList;

/**
 *
 * @author simone
 */
public abstract class InfixToPrefix extends PrefixFunction {

    public InfixToPrefix(String symbol, String help, String[] examples, String[] results) {
        super (symbol, (byte) -1, false,true, help, examples, results);
    }


    @Override
    public final IntervalList _compute(IntervalList input) throws Exception {
        input = new IntervalList(input); //to avoid to change the input which may affect other function
        while (input.size() > 1) {
            input.set(1, __compute(input.subList(0, 2)));
            input.removeFirst();
        }
        return input;
    }

    protected abstract Interval __compute (IntervalList input) throws Exception;

}
