/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package engcalculator.function.prefix.cumulative;

import engcalculator.function.infix.engineering.SumInverted;
import engcalculator.data.Interval;
import engcalculator.data.IntervalList;

/**
 *
 * @author simone
 */
public class SumInvertedUp extends InfixToPrefix {
    private final static SumInverted SUM_INVERTED = new SumInverted();
    private final static String[] EXAMPLE = {"1, 2, 3"};
    private final static String[] RESULT = {"0.545"};

    public SumInvertedUp() {
        super (SUM_INVERTED.getSymbol(), "sum the inverse of the intervals in the list and then inverts the result: 1/(1/a+1/b+1/c...", EXAMPLE, RESULT);
    }

    @Override
    protected Interval __compute(IntervalList input) throws Exception {
        return SUM_INVERTED._compute(input.subList(0, 1),input.subList(1, 2)).getFirst();
    }
}
