/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package engcalculator.function.prefix.space;

import engcalculator.data.Interval;
import engcalculator.data.IntervalList;
import engcalculator.function.prefix.PrefixFunction;

/**
 *
 * @author simone
 */
public class IntSpace extends PrefixFunction {

    private final static String[] EXAMPLE = {"2_5"};
    private final static String[] RESULT = {"2, 3, 4, 5"};

    public IntSpace() {
        super("intspace", (byte) 1, true, true, "intspace (interval) build a list of integer number between the floor of interval min and the floor of interval max.", EXAMPLE, RESULT);
    }


    @Override
    public IntervalList _compute(IntervalList input) throws Exception {
        int begin = (int) Math.floor(input.getFirst().getLeft());
        final int end = (int) Math.floor(input.getFirst().getRight());
        IntervalList result = new IntervalList();
        for (; begin <= end; ++begin)
            result.add(new Interval (begin));

        return result;
    }

}
